#include <bits/stdc++.h>
using namespace std;

int main() {
    int n;
    cin>>n;
    vector<long long> a(n),b(n),c(n);
    for(int i=0;i<n;i++){ cin>>a[i]; b[i]=i; }
    for(int i=0;i<n;i++){ cin>>c[i]; }
    for(int i=0;i<n;i++){
        for(int j=0;j<n;j++){
            if(i<j && a[i]<a[j]){swap(a[i],a[j]); swap(c[i],c[j]); swap(b[i],b[j]);}
        }
    }
    if(n<=2){
        cout<<c[0]<<endl;
    }else{
        if(b[0]==0 || b[0]==n-1){cout<<c[0]<<endl;}else{
            if(abs(b[0]-b[1])==1){cout<<c[0]+c[1]<<endl;}else{
                cout<<c[0]+c[1]+c[2]<<endl;
            }
        }
    }
    return 0;
}
